## mozvoikko 2.0.1

=== Makefile ===

VERSION=$(shell grep -E -o '<em.version>(.*)</em.version>' install.rdf | sed -e 's/<[a-z:/]*>//g')

XPI_FILES=README COPYING ChangeLog install.rdf chrome.manifest components/MozVoikko2.js
SOURCE_FILES=$(XPI_FILES) Makefile

.PHONY: dist-gzip mozvoikko2 clean all

all: mozvoikko2

dist-gzip: mozvoikko-$(VERSION).tar.gz

mozvoikko-$(VERSION).tar.gz: $(patsubst %,mozvoikko-$(VERSION)/%, $(sort $(SOURCE_FILES)))
	tar c --group 0 --owner 0 mozvoikko-$(VERSION) | gzip -9 > $@

$(patsubst %,mozvoikko-$(VERSION)/%, $(sort $(SOURCE_FILES))): mozvoikko-$(VERSION)/%: %
	install -m 644 -D $^ $@

mozvoikko2:
	rm -vf mozvoikko2.xpi
	zip -9 mozvoikko2.xpi $(XPI_FILES) $(shell find voikko -type f '!' -name '.*' '!' -path 'voikko*/.*')

clean:
	rm -f mozvoikko-$(VERSION).tar.gz mozvoikko2.xpi
	rm -f $(patsubst %,mozvoikko-$(VERSION)/%, $(sort $(SOURCE_FILES)))
	test ! -d mozvoikko-$(VERSION)/components || rmdir mozvoikko-$(VERSION)/components
	test ! -d mozvoikko-$(VERSION) || rmdir mozvoikko-$(VERSION)

## mozvoikko 1.0

=== debian/changelog ===
mozvoikko (1.0-5) unstable; urgency=low

  * Add cflag -std=gnu++0x. Closes: #577886. Thanks to Harri Pitkänen.
  * Add $(misc:Depends} dependency. 
  * Switch to dpkg-source 3.0 (quilt) format

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Sun, 20 Jun 2010 20:29:26 +0300

mozvoikko (1.0-4) unstable; urgency=low

  * Change conflict to iceweasel (>= 3.7)

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Wed, 27 Jan 2010 18:09:25 +0200

mozvoikko (1.0-3) unstable; urgency=low

  * Add quilt patch system
  * Add patches/fix_freebsd_ftbfs.patch via quilt to fix FTBFS bug on 
    GNU/kFreeBSD. Thanks to Cyril Brulebois. Closes: #558337

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Mon, 30 Nov 2009 17:25:04 +0200

mozvoikko (1.0-2) unstable; urgency=low

  * Add pkg-config to Build-Depends. Closes: #551225 
  * Change Standards-Version to 3.8.3

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Fri, 13 Nov 2009 21:57:56 +0200

mozvoikko (1.0-1) unstable; urgency=low

  * New upstream release.
  * Change conflict to iceweasel (>= 3.6). 
  * Change Standards-Version to 3.8.1

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Mon, 11 May 2009 18:45:48 +0300

mozvoikko (0.9.6-1) unstable; urgency=low

  * New upstream release. Closes: #515505
  * debian/control:  
    - Improve description (thanks to Teemu Likonen)
    - Add conflict to iceweasel (>= 3.2)
  * debian/rules: Remove useless LDFLAGS setting (thanks to Harri Pitkänen) 

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Wed, 18 Feb 2009 21:12:20 +0200

mozvoikko (0.9.5-1) unstable; urgency=low

  * Initial release. Closes: #486949

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Fri, 28 Aug 2008 20:26:55 +0300

=== debian/control ===
Source: mozvoikko
Section: web
Priority: optional
Maintainer: Heikki Mäntysaari <heikki.mantysaari@linux.fi>
Build-Depends: debhelper (>= 5), xulrunner-dev (>= 1.9~rc2), libvoikko-dev, pkg-config, quilt (>= 0.46-7~)
Standards-Version: 3.8.3

Package: mozvoikko
Architecture: any 
Depends: ${shlibs:Depends}, ${misc:Depends}, libvoikko1, voikko-fi, iceweasel (>= 3) 
Conflicts: iceweasel (>= 3.7)
Description: Finnish spell-checker extension for Iceweasel  
 Finnish spell-checker extension for Iceweasel 3. Spell-checking 
 functionality is provided by Voikko - a free spelling checker 
 for Finnish language.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# ID from src/Makefile.xulrunner
ICEWEASEL_ID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}

EXT_ID={b676e3ff-cda7-4e0c-b2b8-74e4bb40a67a}
EXTENSION_DIR=/usr/share/mozilla/extensions/$(ICEWEASEL_ID)/$(EXT_ID)

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_quilt_patch

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	CFLAGS=-std=gnu++0x $(MAKE) -f Makefile.xulrunner extension-files

	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_quilt_unpatch
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) -f Makefile.xulrunner clean
	rm -f chrome.manifest
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package
	echo "# Empty chrome manifest" > chrome.manifest
	install -m 644 src/components/libmozvoikko.so debian/mozvoikko/usr/lib/mozvoikko/
	mkdir -p debian/mozvoikko/$(EXTENSION_DIR)
	install -m 644 src/install.rdf debian/mozvoikko/$(EXTENSION_DIR)/
	install -m 644 chrome.manifest debian/mozvoikko/$(EXTENSION_DIR)/
	dh_link usr/lib/mozvoikko $(EXTENSION_DIR)/components


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(shell pkg-config --variable=sdkdir libxul)/sdk/lib/ dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mozvoikko 1.9.0~svn20101114r3591

=== debian/changelog ===
mozvoikko (1.9.0~svn20101114r3591-0ubuntu3) natty; urgency=low

  * debian/control: Drop hopelessly outdated Vcs-Bzr, using
    lp:ubuntu/mozvoikko now.
  * debian/control: Move from xulrunner-dev to firefox-dev, as the former will
    go away. (LP: #740815)
  * debian/rules: Update path to firefox SDK, using pkg-config.
  * fix_sdk_build.patch: Update path to xpidl.
  * port_to_xulrunner-192.patch: Use firefox-plugin pkg-config, not libxul.
  * port_to_xulrunner-192.patch: Add -fshort-char to fix the "error: size of
    array ‘arg’ is negative" error. libxul's pkg-config did that for us in the
    past. Also define the linked libraries manually, as firefox-plugin.pc does
    not currently give that to us.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Mar 2011 01:08:25 +0100

mozvoikko (1.9.0~svn20101114r3591-0ubuntu2) natty; urgency=low

  [ Heikki Mäntysaari <heikki.mantysaari@linux.fi> ]
  * Increase maximum Firefox version to 4.1a1. Closes LP: #715200
    - add debian/patches/increase_max_ff_version.patch

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Make maximum Firefox version 4.0.* to be consistent with other extensions
    - update debian/patches/increase_max_ff_version.patch

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Thu, 10 Feb 2011 23:45:50 -0600

mozvoikko (1.9.0~svn20101114r3591-0ubuntu1) natty; urgency=low

  * New upstream SVN snapshot to support Firefox 4.0

  * Convert to dh7 and use mozilla-devscripts
    - update debian/compat
    - update debian/rules
    - update debian/control
    - remove debian/dirs
  * Use source format 3.0
    - update debian/control
    - add debian/source/format
  * Rename binary to xul-ext-mozvoikko and provide a transitional package
    - update debian/control
  * Drop unnecessary patches:
    - remove debian/patches/fix_freebsd_ftbfs.patch
    - remove debian/patches/fix_min_max_versions.patch
    - update debian/patches/series
  * The mozvoikko source has 2 build systems - one to allow building in a fully
    built Firefox source tree, and the other one just using the Mozilla SDK.
    The latter is totally broken in the current version though, so we hack
    it to work in order to avoid having to do the in-tree build
    - add debian/patches/fix_sdk_build.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 26 Nov 2010 01:16:03 +0000

mozvoikko (1.0-4ubuntu2) lucid; urgency=low

  * Port to xulrunner 1.9.2. libxul-unstable no longer exists, so we use
    libxul instead (LP: #545152):
    - Add debian/patches/port_to_xulrunner-192.patch
    - Update debian/patches/series
    - Bump xulrunner-dev minimum build-dep to 1.9.2 in debian/control. It won't
      build with a lower version anymore.

  [ Alexander Sack <asac@ubuntu.com> ]
  * update depends to firefox | abrowser | iceweasel (>= 3.6) - until this is moved
    to mozilla-devscripts
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 23 Mar 2010 14:27:07 +0000

mozvoikko (1.0-4ubuntu1) lucid; urgency=low

  * Merge changes from Debian (LP: #493628)
  * Change conflict to abrowser (>= 3.7). Closes LP: #513320
  * Add optional dependency to firefox-3.6. (LP: #513320)

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Mon, 22 Feb 2010 11:07:48 +0100

mozvoikko (1.0-3ubuntu1) lucid; urgency=low

  * Merge changes from Debian. Closes LP: #493628
  * Move Ubuntu specific changes on file mozvoikko.config to separated
    patch file patches/fix_min_version.patch
  * Change Maintainer to Ubuntu Core Developers as the package is in main

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Mon, 07 Dec 2009 18:08:54 +0200

mozvoikko (1.0-1ubuntu3) karmic; urgency=low

  * LP: #456598 - incorrect Breaks statement forces removal
    because of newer firefox-3.5; fix install.rdf to use proper
    minVersion bounds rather than shipping a package Breaks:
    - update mozvoikko.config
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Tue, 20 Oct 2009 21:37:02 +0200

mozvoikko (1.0-1ubuntu2) karmic; urgency=low

  * drop firefox-3.0 and firefox-3.1 from Depends; add 3.0 to Breaks instead.

 -- Alexander Sack <asac@ubuntu.com>  Fri, 07 Aug 2009 10:43:15 +0200

mozvoikko (1.0-1ubuntu1.xul191) karmic; urgency=low

  * xulrunner-1.9.1 by default transition
    + see: https://blueprints.launchpad.net/ubuntu/+spec/desktop-karmic-firefox-3.5
      - bump minimal xulrunner-dev version

 -- Alexander Sack <asac@ubuntu.com>  Fri, 07 Aug 2009 10:42:03 +0200

mozvoikko (1.0-1ubuntu1) karmic; urgency=low

  * Merge new upstream release from Debian. Closes LP: #377049
  * Keep Ubuntu changes in debian/control
  * Add optional dependency to firefox-3.5.
  * Change conflict to abrowser (>= 3.6)

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Fri, 15 May 2009 21:59:04 +0300

mozvoikko (0.9.5-1ubuntu2) jaunty; urgency=low

  * debian/patches/90_modify-makefile-to-use-pkg-config.patch:
    - Modify src/Makefile.xulrunner to use pkg-config for libxul
  * debian/rules:
    - Add patch system
  * Closes LP: #297169

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Mon, 26 Jan 2009 14:06:40 +0100

mozvoikko (0.9.5-1ubuntu1) jaunty; urgency=low

  [ Heikki Mäntysaari <heikki.mantysaari@linux.fi> ]
  * debian/control:
    - Add dependency to firefox-3.0, firerox-3.1 or abrowser
    - Add conflict to abrowser/iceweasel >=3.2
    - Change Maintainer field
    - Change references from Iceweasel to Firefox in Description field
  * Closes LP: #297169

  [ Alexander Sack <asac@ubuntu.com> ]
  * .bzr-builddeb/default.conf:
    -  add bzr builddeb hints including upstream revision info

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Tue, 13 Jan 2009 11:42:34 +0100

=== debian/control ===
Source: mozvoikko
Section: web
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com> 
XSBC-Original-Maintainer: Heikki Mäntysaari <heikki.mantysaari@linux.fi>
Build-Depends: debhelper (>= 7.0.50~), firefox-dev, libvoikko-dev, pkg-config, mozilla-devscripts
Standards-Version: 3.9.1

Package: xul-ext-mozvoikko
Architecture: any 
Depends: ${misc:Depends}, ${shlibs:Depends}, libvoikko1, voikko-fi, ${xpi:Depends}
Breaks: mozvoikko (<= 1.0-4ubuntu2)
Replaces: mozvoikko
Description: Finnish spell-checker extension for Firefox  
 Finnish spell-checker extension for Firefox. Spell-checking 
 functionality is provided by Voikko - a free spellchecker 
 for Finnish language.

Package: mozvoikko
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xul-ext-mozvoikko
Description: Finnish spell-checker extension for Firefox (transitional package) 
 Finnish spell-checker extension for Firefox. Spell-checking 
 functionality is provided by Voikko - a free spellchecker 
 for Finnish language.
 .
 This is just a transitional package to pull in xul-ext-mozvoikko
 on upgrades. It may be safely removed

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with xul-ext

override_dh_auto_build:
	make -f Makefile.xulrunner XULRUNNER_SDK_DIR=`pkg-config --variable=sdkdir firefox-plugin`

override_dh_auto_install:
	install-xpi src/mozvoikko.xpi

override_dh_auto_clean:
	make -f Makefile.xulrunner clean

## mozvoikko 1.10.0

=== debian/changelog ===
mozvoikko (1.10.0-2) unstable; urgency=low

  * Add patches/fix_min_version.patch to support Iceweasel 6 and 7
  * Change conflict to iceweasel (>=7.1). Closes: #641980.

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Thu, 22 Sep 2011 22:42:10 +0300

mozvoikko (1.10.0-1) unstable; urgency=low

  * New upstream release, works with Iceweasel 5.0. Closes: #631041.
  * Remove patches/fix_freebsd_ftbfs.patch as it is merged in upstream. 
  * Add patches/fix_makefile.patch to make the program compile in Debian.

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Mon, 27 Jun 2011 19:19:23 +0300

=== debian/control ===
Source: mozvoikko
Section: web
Priority: optional
Maintainer: Heikki Mäntysaari <heikki.mantysaari@linux.fi>
Build-Depends: debhelper (>= 5), xulrunner-dev (>= 5.0~b7), libvoikko-dev, pkg-config, quilt (>= 0.46-7~)
Standards-Version: 3.8.3

Package: mozvoikko
Architecture: any 
Depends: ${shlibs:Depends}, ${misc:Depends}, libvoikko1, voikko-fi, iceweasel (>= 5.0~b7)
Conflicts: iceweasel (>= 7.1)
Description: Finnish spell-checker extension for Iceweasel  
 Finnish spell-checker extension for Iceweasel 3. Spell-checking 
 functionality is provided by Voikko - a free spelling checker 
 for Finnish language.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# ID from src/Makefile.xulrunner
ICEWEASEL_ID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}

EXT_ID={b676e3ff-cda7-4e0c-b2b8-74e4bb40a67a}
EXTENSION_DIR=/usr/share/mozilla/extensions/$(ICEWEASEL_ID)/$(EXT_ID)

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_quilt_patch

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	CFLAGS=-std=gnu++0x $(MAKE) -f Makefile.xulrunner extension-files

	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_quilt_unpatch
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) -f Makefile.xulrunner clean
	rm -f chrome.manifest
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package
	echo "binary-component components/libmozvoikko.so" > chrome.manifest
	install -m 644 src/components/libmozvoikko.so debian/mozvoikko/usr/lib/mozvoikko/
	mkdir -p debian/mozvoikko/$(EXTENSION_DIR)
	install -m 644 src/install.rdf debian/mozvoikko/$(EXTENSION_DIR)/
	install -m 644 chrome.manifest debian/mozvoikko/$(EXTENSION_DIR)/
	dh_link usr/lib/mozvoikko $(EXTENSION_DIR)/components


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(shell pkg-config --variable=sdkdir libxul)/sdk/lib/ dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mozvoikko 2.0

=== debian/changelog ===
mozvoikko (2.0-1) unstable; urgency=low

  * New upstream release. Closes: #645066
  * Package the JavaScript versin of the extension.
  * Remove conflict with future Iceweasel versions. Closes: #649642

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Tue, 29 Nov 2011 21:10:14 +0200

=== debian/control ===
Source: mozvoikko
Section: web
Priority: optional
Maintainer: Heikki Mäntysaari <heikki.mantysaari@linux.fi>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.2

Package: mozvoikko
Architecture: all 
Depends: ${shlibs:Depends}, ${misc:Depends}, libvoikko1, voikko-fi, iceweasel (>= 5.0~b7)
Description: Finnish spell-checker extension for Iceweasel  
 Finnish spell-checker extension for Iceweasel. Spell-checking 
 functionality is provided by Voikko - a free spelling checker 
 for Finnish language.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# ID from src/Makefile.xulrunner
ICEWEASEL_ID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}

EXT_ID={b676e3ff-cda7-4e0c-b2b8-74e4bb40a67a}
EXTENSION_DIR=/usr/share/mozilla/extensions/$(ICEWEASEL_ID)/$(EXT_ID)

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp
	dh_clean 

install: 
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package
	mkdir -p debian/mozvoikko/$(EXTENSION_DIR)/components
	install -m 644 install.rdf debian/mozvoikko/$(EXTENSION_DIR)/
	install -m 644 chrome.manifest debian/mozvoikko/$(EXTENSION_DIR)/
	install -m 644 components/MozVoikko2.js debian/mozvoikko/$(EXTENSION_DIR)/components/
# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mozvoikko 2.0.1

=== debian/changelog ===
mozvoikko (2.0.1-1ubuntu3) wily; urgency=medium

  * Update mozvoikko's hard-coded dep on libvoikko1 to use either of
    libvoikko1 or libvoikko1v5, because we only use C interfaces and can
    rely on both to be compatible.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 05:25:58 +0000

mozvoikko (2.0.1-1ubuntu2) wily; urgency=medium

  * No-change rebuild against libvoikko1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 20:32:29 +0000

mozvoikko (2.0.1-1ubuntu1) utopic; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - build with dh --with apport
    - build-depend on apport

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 May 2014 07:57:55 +0200

mozvoikko (2.0.1-1) unstable; urgency=low

  * New upstream release 
  * Change package name to xul-ext-mozvoikko and provide a transitional package
  * Remove old "(c)" notation from debian/copyrigt

 -- Heikki Mäntysaari <heikki.mantysaari@linux.fi>  Mon, 09 Jan 2012 22:06:18 +0200

mozvoikko (2.0.1-0ubuntu1) precise; urgency=low

  * New upstream release 2.0.1
    - Fixes LP: #914706 - can't select any other spell-check language in
      Firefox with mozvoikko installed

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 13 Jan 2012 11:38:44 +0000

mozvoikko (2.0-0ubuntu2) precise; urgency=low

  * Drop debian/patches/port_to_latest_firefox.patch, as it just bumped
    the compatibility. This is no longer necessary without strictCompatibility
    in Firefox 10

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 03 Jan 2012 18:30:45 +0000

mozvoikko (2.0-0ubuntu1) precise; urgency=low

  * Update to the 2.0 rewrite
    - Now uses js-ctypes (yay, good riddance evil binary extension)
  * Drop firefox-dev, libvoikko-dev, pkg-config and lsb-release build-depends
    - update debian/control
  * Make xul-ext-mozvoikko Arch: all
    - update debian/control
  * Drop debian/patches/fix_sdk_build.patch
  * Update debian/patches/port_to_latest_firefox to work with the current
    Firefox beta
  * Drop everything related to the old build system from debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 15 Nov 2011 21:53:22 +0000

mozvoikko (1.10.0-0ubuntu3) precise; urgency=low

  * Update for Firefox 8
    - refresh debian/patches/port_to_latest_firefox.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 07 Nov 2011 12:55:07 +0000

mozvoikko (1.10.0-0ubuntu1) oneiric; urgency=low

  * Update from SVN snapshot to latest stable release
  * Refresh patches:
    - update debian/patches/port_to_latest_firefox.patch
    - update debian/patches/fix_sdk_build.patch
  * Add an apport hook which just calls up the Firefox hook
    - add debian/source.apport
    - update debian/rules
    - update debian/control to add dh-apport build-depend

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 08 Sep 2011 20:12:06 +0100

mozvoikko (1.9.0~svn20101114r3591-0ubuntu6) oneiric; urgency=low

  * Bump maxVersion to 7.* and rebuild against the latest beta
    - update debian/patches/port_to_latest_firefox.patch
  * Don't clobber CFLAGS, else we end up with no debug symbols
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 25 Aug 2011 01:50:18 +0100

mozvoikko (1.9.0~svn20101114r3591-0ubuntu5) oneiric; urgency=low

  * Rebuild against Firefox 6
  * Rename debian/patches/port_to_firefox5.patch =>
     debian/patches/port_to_latest_firefox.patch
  * Bump maxVersion to 6.0.*
    - update debian/patches/port_to_latest_firefox.patch
  * Build with -Wno-strict-aliasing, as including nsID.h triggers this warning
    now, due to the changes in nsID::Equals()
    - update debian/patches/port_to_latest_firefox.patch
  * Build with -std=gnu++0x on Natty and newer
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 18 Jul 2011 17:06:03 +0100

mozvoikko (1.9.0~svn20101114r3591-0ubuntu4) oneiric; urgency=low

  * Drop some of the changes from the last upload, as firefox-dev is 
    equivalent to xulrunner-dev now
    - update debian/rules to not set XULRUNNER_SDK_DIR
    - update debian/patches/fix_sdk_build.patch to set XULRUNNER_SDK_DIR
      using pkg-config in Makefile.xulrunner
    - update debian/patches/port_to_xulrunner-192.patch to use libxul.pc
      rather than firefox-plugin.pc, and drop the list of linked libs
  * Rename port_to_xulrunner-192.patch to port_to_firefox5.patch and merge
    increase_max_ff_version.patch in to it
  * Update port_to_firefox5.patch because of changes to mozISpellCheckingEngine
    in Firefox 5

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 24 May 2011 18:12:27 +0100

=== debian/control ===
Source: mozvoikko
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Heikki Mäntysaari <heikki.mantysaari@linux.fi>
Build-Depends: debhelper (>= 7.0.50), mozilla-devscripts, dh-apport
Standards-Version: 3.9.2

Package: xul-ext-mozvoikko
Architecture: all
Depends: ${misc:Depends}, libvoikko1v5 | libvoikko1, voikko-fi, ${xpi:Depends}
Breaks: mozvoikko (<= 1.0-4ubuntu2)
Replaces: mozvoikko
Description: Finnish spell-checker extension for Firefox
 Finnish spell-checker extension for Firefox. Spell-checking 
 functionality is provided by Voikko - a free spelling checker 
 for Finnish language.

Package: mozvoikko
Priority: extra
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, xul-ext-mozvoikko
Description: Finnish spell-checker extension for Firefox (transitional package)
 Finnish spell-checker extension for Firefox. Spell-checking 
 functionality is provided by Voikko - a free spelling checker 
 for Finnish language.
 .
 This is just a transitional package to pull in xul-ext-mozvoikko
 on upgrades. It may be safely removed

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with xul-ext,apport

override_dh_auto_install:
	install-xpi mozvoikko2.xpi

=== debian/watch ===
version=3
http://sf.net/voikko/mozvoikko-(.*)\.tar\.gz

## mozvoikko 2.2

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 VERSION=$(shell grep -E -o '<em.version>(.*)</em.version>' install.rdf | sed -e 's/<[a-z:/]*>//g')
 
-XPI_FILES=README COPYING ChangeLog install.rdf chrome.manifest components/MozVoikko2.js
-SOURCE_FILES=$(XPI_FILES) Makefile
+XPI_FILES=README.user COPYING ChangeLog install.rdf chrome.manifest components/MozVoikko2.js skin/icon.png
+SOURCE_FILES=$(XPI_FILES) Makefile README
 
 .PHONY: dist-gzip mozvoikko2 clean all
 
@@ -24,4 +24,5 @@
 	rm -f mozvoikko-$(VERSION).tar.gz mozvoikko2.xpi
 	rm -f $(patsubst %,mozvoikko-$(VERSION)/%, $(sort $(SOURCE_FILES)))
 	test ! -d mozvoikko-$(VERSION)/components || rmdir mozvoikko-$(VERSION)/components
+	test ! -d mozvoikko-$(VERSION)/skin || rmdir mozvoikko-$(VERSION)/skin
 	test ! -d mozvoikko-$(VERSION) || rmdir mozvoikko-$(VERSION)

=== debian/changelog ===
mozvoikko (2.2-0.1ubuntu1) zesty; urgency=medium

  * Merge with Debian, remaining changes:
    - build with dh --with apport
    - build-depend on apport

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Mon, 05 Dec 2016 18:44:40 +0200

mozvoikko (2.2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #846036).
  * Bumped debhelper compat to 9.
  * [debian/control]
    = Build-Depends on debhelper (>= 9)
    = Bumped Standards-Version to 3.9.8 (no change required).
    + Added the Homepage field.
    - Dropped the mozvoikko/extra/oldlibs transitional package.
    = Rewrote the long description to better reflect the multipurpose
      direction of Voikko and the transition from Iceweasel to Firefox.
    + Added a generic voikko-dictionary as an alternative to voikko-fi.
  * [debian/rules]
    + override_dh_install: -delete COPYING (included in [debian/copyright]).
  * [debian/copyright]
    = Migrated to DEP-5 format.
    = Migrated the source URL to the current upstream site.
  * [debian/watch]
    = Migrated the watch URL to the current upstream site.
    + Added checking of the upstream GPG signature.
  * [debian/upstream/signing-key.asc]
    + Imported upstream's public GPG key block.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 04 Dec 2016 11:10:33 +0200

mozvoikko (2.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Please add firefox(-esr) as alternative dependencies" (Closes: #819457)
    Simply rebuilding the package against current mozilla-devscripts fixes it.
  * Fix "please make the build reproducible" (Closes: #834537)
    Merged patch by Chris Lamb.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 28 Nov 2016 01:33:13 +0200

=== debian/control ===
Source: mozvoikko
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Heikki Mäntysaari <heikki.mantysaari@linux.fi>
Build-Depends: debhelper (>= 9), mozilla-devscripts, dh-apport
Standards-Version: 3.9.8
Homepage: http://voikko.puimula.org/

Package: xul-ext-mozvoikko
Architecture: all
Depends: libvoikko1,
         voikko-fi | voikko-dictionary,
         ${misc:Depends},
         ${xpi:Depends}
Breaks: mozvoikko (<= 1.0)
Replaces: mozvoikko
Description: Voikko spell-checker extension for Mozilla products
 This extension provides a spell-checker front-end for Mozilla products
 (Firefox, Thunderbird, etc.) that utilizes the Voikko back-end to check
 the spelling of texts written in Finnish and other similar languages.

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,5 @@
 override_dh_auto_install:
 	install-xpi mozvoikko2.xpi
 
+override_dh_install:
+	find debian/xul-ext-mozvoikko -name COPYING -delete

=== debian/watch ===
version=3
opts=pgpmode=auto \
http://www.puimula.org/voikko-sources/mozvoikko/mozvoikko-(.*)\.tar\.gz \
debian uupdate --no-symlink
